	%MATLAB Script-File: D_ZUDR1.m
	%Digitale Zustands-Drehzahlregelung

	%Fhrungssprungantwort
	clf
	TM=0.02; TES=0.0015; 		%Streckenparameter
	KS1=0.3; KS2=1;
	A=[-1/TM, KS2/TM;				%Systemmatrix
    0, -1/TES];						%Regelstrecke
	B=[0, -KS2/TM; 				%Eingangsmatrix Strecke:		
    KS1/TES, 0];					%MMs, ML
	cT=[1, 0];						%Ausgangsvektor
	d=0;								%Durchgangsfaktor
	a_Strecke=ss(A,B,cT,d);		%Zustandsmodell der Strecke
	T=[0.0001, 0.001];			%Abtastzeit
	for i=1:2
    l=0:T(i):0.02;					%Anzahl Elemente des Zeitvektors
	d_Strecke=c2d(a_Strecke,T(i));%Zeitdiskretes Zustandsmodell S.
	[d_A,d_B,d_c,d_d,T(i)]=ssdata(d_Strecke)

	spZ1=-1/(2*TES)+j/(2*TES);	%Vorgabepole s-Ebene
	spZ2=-1/(2*TES)-j/(2*TES);	%Vorgabepole s-Ebene
	d_spZ1=exp(spZ1*T(i))		%Vorgabepole z-Ebene
    d_spZ2=exp(spZ2*T(i))		%Vorgabepole z-Ebene
    d_poleZ=[d_spZ1,d_spZ2]
   
    d_rR=acker(d_A,d_B(:,1),d_poleZ);%Polvorgabe zeitdiskret
	d_rR=-d_rR;						%Rckfhrvektor zeitdiskret
    d_AR=d_A+d_B(:,1)*d_rR;		%Systemmatrix der Zeitdiskr. R.
    vw=inv(d_c*inv(eye(2,2)-d_AR)*d_B(:,1)); %Vorfilter, VZ?
	d_ZU=ss(d_AR,vw*d_B(:,1),d_c,d_d(1),T(i));
	[y1,dT]=step(d_ZU,l);
    subplot(211),
   switch i
   case 1
      plot(dT,y1,'-')
   otherwise
      plot(dT,y1,'o',dT,y1,'-')
   end
	title('Fhrungssprungantwort')
	xlabel('t/s')
    ylabel('\omega_i(t)')
    hold on, grid on

	%Strsprungantwort
	d_ZUS=ss(d_AR,d_B(:,2),d_c,d_d(2),T(i));
	[y2,dT]=step(d_ZUS,l);
   subplot(212), 
   	switch i
   case 1
      plot(dT,y2,'-')
   otherwise
      plot(dT,y2,'o',dT,y2,'-')
   end
	title('Strungssprungantwort')
	xlabel('t/s')
	ylabel('\omega_i(t)')
	hold on, grid on
	end
