%MATLAB Script-File tf_bode3_166.m
%BODE-Diagramm fr PT2-Element bei verschiedenen Dmpfungen
numG=1;                        %Zhlerpolynom von G(s)
w=logspace(-1, 1, 200);        %logarithmische Teilung fr w
D=[0.05,0.1,0.2,0.3,0.5,0.707,1,1.414,2,3]; %Dmpfungswerte

for i=1:10
   denG=[1 2*D(i) 1];          %Nennerpolynom von G(s)
   G=tf(numG,denG);            %G(s)
   [betrag,phase,w]=bode(G,w); %Betrag und Phase
   semilogx(w,log10(betrag(:))); %Amplitudengang
   hold on                     %Kurve nicht berschreiben
end

axis([0.1, 10, -2, 1]);        %manuelle Achsenskalierung
title('{\itAmplitudengang eines PT}_{2}{\it-Elements}')
text(1.05,0.9,'\leftarrow\it{D=0.05}') %Kurvenparameter
text(1.0,0.7,'\leftarrow\it{0.1}')
text(1.07,0.35,'\leftarrow\it{0.2}')
text(1.17,0.1,'\leftarrow\it{0.3}')
text(1.3,-0.15,'\leftarrow\it{0.5}')
text(1.55,-0.4,'\leftarrow\it{0.707}')
text(1.5,-0.65,'\it{1}\rightarrow')
text(1.45,-0.9,'\it{1.414}\rightarrow')
text(2.4,-1.15,'\it{2}\rightarrow')
text(2.5,-1.4,'\it{D=3}\rightarrow')
xlabel('\it\omega')           %Beschriftung der Abszisse
ylabel('\itlg|F(j\omega)|')   %Beschriftung der Ordinate
hold off
grid                          %kartesische Gitterlinien

figure						  %neues Graphikfenster
for i=1:10
   denG=[1 2*D(i) 1];
   G=tf(numG,denG);
   [betrag,phase,w]=bode(G,w);
   semilogx(w,phase(:));
   hold on
end

axis([0.1, 10, -180, 0]); 
title('{\itPhasengang eines PT}_{2}{\it-Elements}')
text(0.78,-10,'\leftarrow\it{D=0.05}') %Kurvenparameter
text(0.76,-20,'\leftarrow\it{0.1}')
text(0.72,-30,'\leftarrow\it{0.2}')
text(0.7,-40,'\leftarrow\it{0.3}')
text(0.67,-50,'\leftarrow\it{0.5}')
text(0.67,-60,'\leftarrow\it{0.707}')
text(0.7,-70,'\leftarrow\it{1}')
text(1.65,-110,'\leftarrow\it{1.414}')
text(2.7,-120,'\leftarrow\it{2}')
text(5.4,-130,'\leftarrow\it{D=3}')
xlabel('\it\omega')
ylabel('\itPhase')
hold off
grid

